#include "game_tab/GameTab.hpp"
#include "ochess.hpp"
#include <wx/aui/auibook.h>
#include <wx/filedlg.h>
#include <wx/textdlg.h>
#include <wx/preferences.h>

wxDECLARE_EVENT(REFRESH_TAB_TITLE, wxCommandEvent);

class MainWindow : public wxFrame {
  wxAuiNotebook *notebook;
  wxMenu *menuGame;
  wxMenuBar *menuBar;
  wxPreferencesEditor *prefsEditor;

  void OnExit(wxCommandEvent &event);
  void OnClose(wxCloseEvent &e);
  void OnNewGame(wxCommandEvent &event);
  void OnOpen(wxCommandEvent &event);
  void OnPageChange(wxAuiNotebookEvent &event);
  void OnRefreshTabTitle(wxCommandEvent &event);
  void NewGame(Game *game);
  void OnSettings(wxCommandEvent &event);

public:
  MainWindow();
  void ApplyPreferences();
};